**Source URL:** https://limited.veevavault.dev/commercial/vault-api/api-reference/25.3/documents/retrieve-documents/retrieve-document-version-text

# Retrieve Document Version Text

Retrieve the plain text of a specific document version.

<Endpoint path="/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}/text" method="GET" />

## Headers

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept`<Requiredness type="optional" /> | `text/plain` (default). The format of the response will always be `text/plain` regardless of the value provided for the `Accept` header. |
</FieldTable>

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The document `id` field value. |
| `{major_version}` | The document `major_version_number__v` field value. |
| `{minor_version}` | The document `minor_version_number__v` field value. |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.2/objects/documents/201/versions/2/1/text
```
</CodeExample>

## Response

<CodeExample title="">
```text
HIGHLIGHTS OF PRESCRIBING INFORMATION
----------------------WARNINGS AND PRECAUTIONS-----------------------­
These highlights do not include all the information needed to use
Skeletal muscle effects (e.g., myopathy and rhabdomyolysis): Risks increase CHOLECAP safely and effectively. See full prescribing information for
when higher doses are used concomitantly with cyclosporine, fibrates, and CHOLECAP.
```
</CodeExample>

## Response Details

On `SUCCESS`, Vault returns the plain text of the source file from the document.

On `FAILURE`, the response returns an error message describing the reason for the failure. For example, if the specified document is not found, no text is found, or the document is password-protected.

---

**Previous:** [Retrieve Document Version](/commercial/vault-api/api-reference/25.3/documents/retrieve-documents/retrieve-document-version)  
**Next:** [Download Document File](/commercial/vault-api/api-reference/25.3/documents/retrieve-documents/download-document-file)